﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Diagnostics;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void calcButton_Click(object sender, EventArgs e)
    {
        // Start stopwatch
        Stopwatch stopwatch = new Stopwatch();
        stopwatch.Start();

        // Open the workbook using the current culture (don't want any defaults)
        string baseDir = System.AppDomain.CurrentDomain.BaseDirectory;
        string filePath = baseDir + "App_Data\\SalesData.xlsx";
        SpreadsheetGear.IWorkbook WorkbookInterface = SpreadsheetGear.Factory.GetWorkbook(filePath, System.Globalization.CultureInfo.CurrentCulture);

        // Reference the Inputs and Outputs worksheets
        SpreadsheetGear.IWorksheet InputWorksheet = WorkbookInterface.Worksheets["Inputs"];
        SpreadsheetGear.IWorksheet OutputWorksheet = WorkbookInterface.Worksheets["Outputs"];

        // Pass the web inputs to the Inputs sheet
        InputWorksheet.Cells["Employee_Input"].Range.Value = selEmployee.SelectedValue;
        InputWorksheet.Cells["Year_Input"].Range.Value = selYear.SelectedValue;
        InputWorksheet.Cells["Quarter_Input"].Range.Value = selQuarter.SelectedValue;
        InputWorksheet.Cells["Average_Customer_Age"].Range.Value = selAge.SelectedValue;
        InputWorksheet.Cells["Range_Input"].Range.Value = selRange.SelectedValue;
        InputWorksheet.Cells["Manufacturer_Input"].Range.Value = selManufacturer.SelectedValue;

        // Get the web outputs from the Outputs sheet
        lblMonth1.Text = OutputWorksheet.Cells["Month_1"].Range.Text;
        lblMonth2.Text = OutputWorksheet.Cells["Month_2"].Range.Text;
        lblMonth3.Text = OutputWorksheet.Cells["Month_3"].Range.Text;
        lblTotal.Text = OutputWorksheet.Cells["Amount_Result"].Range.Text;

        // Return the time taken in seconds
        stopwatch.Stop();
        lblSeconds.Text = ((double)stopwatch.ElapsedMilliseconds / 1000).ToString();
    }
}
